libnl: Basic Classifier

libnl 3.10.0

Data Structures
Basic Classifier
Routing Library (libnl-route) » Traffic Control » Classifiers

## Data Structures
struct | rtnl_basic

## Attribute Modifications
void | rtnl_basic_set_target (struct rtnl_cls *cls, uint32_t target)
uint32_t | rtnl_basic_get_target (struct rtnl_cls *cls)
void | rtnl_basic_set_ematch (struct rtnl_cls *cls, struct rtnl_ematch_tree *tree)
struct rtnl_ematch_tree * | rtnl_basic_get_ematch (struct rtnl_cls *cls)
int | rtnl_basic_add_action (struct rtnl_cls *cls, struct rtnl_act *act)
struct rtnl_act * | rtnl_basic_get_action (struct rtnl_cls *cls)
int | rtnl_basic_del_action (struct rtnl_cls *cls, struct rtnl_act *act)

## Detailed Description

Introduction
  The basic classifier is the simplest form of a classifier. It does not have any special classification capabilities, instead it can be used to classify exclusively based on extended matches or to create a "catch-all" filter.

## Function Documentation

## ◆ rtnl_basic_set_target()

void rtnl_basic_set_target | ( | struct rtnl_cls * | cls,
|  | uint32_t | target )

Definition at line 167 of file basic.c.

## ◆ rtnl_basic_get_target()

uint32_t rtnl_basic_get_target | ( | struct rtnl_cls * | cls | ) |

Definition at line 178 of file basic.c.

## ◆ rtnl_basic_set_ematch()

void rtnl_basic_set_ematch | ( | struct rtnl_cls * | cls,
|  | struct rtnl_ematch_tree * | tree )

Definition at line 188 of file basic.c.

## ◆ rtnl_basic_get_ematch()

struct rtnl_ematch_tree * rtnl_basic_get_ematch | ( | struct rtnl_cls * | cls | ) |

Definition at line 206 of file basic.c.

## ◆ rtnl_basic_add_action()

int rtnl_basic_add_action | ( | struct rtnl_cls * | cls,
|  | struct rtnl_act * | act )

Definition at line 216 of file basic.c.

## ◆ rtnl_basic_get_action()

struct rtnl_act * rtnl_basic_get_action | ( | struct rtnl_cls * | cls | ) |

Definition at line 234 of file basic.c.

## ◆ rtnl_basic_del_action()

int rtnl_basic_del_action | ( | struct rtnl_cls * | cls,
|  | struct rtnl_act * | act )

Definition at line 247 of file basic.c.